<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        var valor = Math.floor(Math.random()*10);
        console.log(valor);
        var numero = 0;
        do{
            numero = prompt("Introduce un numero entre el 1 y el 10");
            if(numero ==(valor)){
                alert("Encontraste el numero");
            }else if(numero == null){
                alert("Juego cancelado");
                break;
            }else{
            alert("Numero erròneo");
            }
        }while(valor != numero);
        
    </script>
    
</body>
</html>